<odoo>
    <record id="view_node_metrics_report_wizard" model="ir.ui.view">
        <field name="name">node_report_wizard.form</field>
        <field name="model">node_report_wizard</field>
        <field name="arch" type="xml">
            <form string="Отчёт по показателям узлов">
                <group>
                    <field name="index_id"/>
                </group>
                <footer>
                    <button name="action_generate_report" string="Показать отчёт" type="object" class="oe_highlight"/>
                    <button string="Отмена" special="cancel"/>
                </footer>
            </form>
        </field>
    </record>

    <record id="action_node_metrics_report_wizard" model="ir.actions.act_window">
        <field name="name">Отчёт Показатели по узлам</field>
        <field name="res_model">node_report_wizard</field>
        <field name="view_mode">form</field>
        <field name="target">new</field>
    </record>

    <menuitem id="menu_node_metrics_report_wizard" name="Отчет показателей по узлам" parent="mklab_base_indicators_extended.hypergraph_reports"
              action="action_node_metrics_report_wizard"/>
</odoo>
